# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'fbtiles/version'

Gem::Specification.new do |spec|
  spec.name          = "fbtiles"
  spec.version       = FBTiles::VERSION
  spec.authors       = ["Michael Pellon"]
  spec.email         = ["michael@p3ll0n.net"]
  spec.description   = %q{FBTiles utilities}
  spec.summary       = %q{FBTiles utilities}
  spec.homepage      = "https://github.com/p3ll0n/fbtiles"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency (RUBY_PLATFORM == 'java' ? 'jdbc-sqlite3' : 'sqlite3')
  spec.add_dependency 'sequel', '~> 4.5.0'

  spec.add_development_dependency 'rake', '~> 10.1.0'
  spec.add_development_dependency 'minitest', '~> 5.1.0'
  spec.add_development_dependency 'coveralls', '~> 0.7.0'
end
